a13nDocs
API 参考指标仪表盘

获取仪表盘默认配置

GET/api/v1/metrics-dashboards/preset

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X GET "https://example.com/api/v1/metrics-dashboards/preset"
{  "panels": [    {      "description": "",      "id": "string",      "legend": true,      "position": {        "h": 3,        "w": 3,        "x": 0,        "y": 0      },      "queries": [        {          "history": "configured",          "kind": "metric",          "metric": "system_cpu_busy_ratio"        }      ],      "title": "string",      "unit": "auto",      "visualization": "timeseries"    }  ],  "range_seconds": 3600,  "refresh_seconds": 0,  "schema_version": 1}